# Manuel de &konsole;

&Jonathan.Singer; &Jonathan.Singer.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Robert.Knight; &Robert.Knight.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Waldo.Bastian; &Waldo.Bastian.mail;
&Mike.McBride; &Mike.McBride.mail;

&traducteurAnneMarieMahfouf; &traducteurLudovicGrossard; &traducteurEricBischoff; &traducteurDamienRaudeMorvan; &traducteurPierreBuard; &relecteurLudovicGrossard;

2000
2001
2002
&Jonathan.Singer;
2005
2008
2009
2010
2011
&Kurt.Hindenburg;
&FDLNotice;
19/05/2013
2.11 (&kde; 4.11)

&konsole; est un émulateur de terminal pour &kde;.

KDE
konsole
kdebase
commande
ligne
terminal
cli

## Introduction

### Qu'est-ce qu'un terminal ?

&konsole; est un émulateur de terminal X, souvent appelé terminal ou shell. Il émule une interface en ligne de commande dans une fenêtre textuelle.

&konsole; lance habituellement une interface en ligne de commande permettant d'exécuter les commandes que vous saisissez. L'interface lancée par &konsole; dépend des paramètres de votre compte. Consultez la documentation de votre système d'exploitation pour identifier l'interface associée, la configurer et, plus généralement, l'utiliser.

### Historique

&konsole; utilise la notion d'historique afin de permettre aux utilisateurs de voir les sorties précédemment affichées. Par défaut, l'historique est activé et retient les 1000 dernières lignes affichées en plus de celles présentes à l'écran.

Lorsque les lignes disparaissent en haut de l'écran, elles peuvent être affichées à nouveau : en déplaçant la barre de défilement vers le haut, avec la molette de la souris ou en utilisant les touches &Maj;Page précédente (pour revenir en arrière d'une page), &Maj;Page suivante (pour avancer d'une page), &Maj;flèche vers le haut (pour remonter d'une ligne) et &Maj;flèche vers le bas (pour descendre d'une ligne).

La quantité de défilement réalisé avec &Maj;Page précédente / suivante peut être modifié pour correspondre à une demi-page ou une page entière à l'aide de l'onglet Barre de défilement de la fenêtre de configuration du profil (accessible depuis le menu Configuration Modifier le profil actuel…).

### Profils

Les profils permettent à l'utilisateur d'automatiser rapidement et simplement l'exécution de commandes courantes. Par exemple :

- établir une connexion SSH vers une autre machine,

- démarrer une session IRC,

- utiliser « tail » pour surveiller un fichier.

Procédure pour créer un nouveau profil :

1. Cliquez sur l'entrée du menu Configuration Gérer les profils... .

2. Cliquez sur le bouton Nouveau profil....

3. Renseignez la première zone avec un nom. Ce nom fera office de libellé dans le menu et s'affichera à la place du libellé par défaut Terminal lorsque vous démarrerez la session correspondante.

4. Saisissez une commande comme vous le feriez en ouvrant un nouveau terminal. Dans le cadre de notre premier exemple, vous pourriez écrire ``ssh` administration`.

5. Les autres onglets de la boîte de dialogue servent à configurer l'apparence de la session. Vous pouvez choisir une police, un thème de couleurs, un type de $`TERM` ainsi que bien d'autres réglages spécifiques à chaque session.

6. Appuyez sur le bouton Ok. La nouvelle session est maintenant disponible dans la boîte de dialogue Gérer les profils....

Les profils ayant Afficher dans le menu cochée seront listés, par leurs noms, dans le menu Fichier Nouvel onglet. Il n'y aura pas de sous-menu si le profil par défaut est le seul affiché.

### Les boutons de la souris

Cette section décrit en détail l'utilisation des boutons de la souris en prenant comme référence l'ordre usuel pour les droitiers. Les gauchers intervertiront les mentions « gauche » et « droite » dans le texte ci-dessous.

Gauche

  Un clic sur le &BGS; est transmis en comme un évènement à l'application qui fonctionne dans l'émulateur si elle gère cette fonction. Si un programme est capable de réagir aux clics de souris, &konsole; l'indique en donnant au curseur la forme d'une flèche. Dans le cas contraire, un curseur en forme de barre verticale est affiché.

  En maintenant le &BGS; enfoncé tout en déplaçant le curseur, vous étendrez une zone de sélection textuelle ; du moment que le programme affiché ne gère pas la souris. Durant l'opération de sélection (en glissant la souris) vous observerez que le texte marqué sera affiché en négatif afin d'en faciliter l'identification. Choisissez Copier dans le menu Édition pour copier le texte marqué dans le presse-papiers afin de l'utiliser plus tard dans &konsole; ou dans une autre application. Le texte sélectionné peut également être glissé et déposé dans une application compatible. Pour cela, maintenez la touche &Ctrl; enfoncée et glissez le texte sélectionné vers la destination souhaitée.

  Normalement, des caractères de fin de ligne sont ajoutés au bout de chaque ligne sélectionnée. C'est habituellement mieux pour copier-coller du code source ou la sortie d'une commande particulière. Pour du texte ordinaire, les sauts de ligne ne sont généralement pas importants. Cependant, on pourrait souhaiter que le texte prenne la forme d'une simple suite de caractères qui sera automatiquement re-formatée lorsqu'elle sera collée dans une autre application. Pour sélectionner du texte de cette manière, enfoncez la touche &Ctrl; tout en sélectionnant normalement.

  Appuyer sur les touches &Ctrl; et &Alt;, en même temps que sur le &BGS;, sélectionnera le texte d'une colonne.

  Double-cliquez avec le &BGS; pour sélectionner un mot ; triple-cliquez pour sélectionner une ligne complète.

  Dès qu'un des bords (supérieur ou inférieur) de la zone de texte marquée est atteint, &konsole; fait défiler l'historique vers le haut ou vers le bas, affichant ainsi le cas échéant le contenu en mémoire. Le défilement s'arrête dès que vous cessez de déplacer la souris.

  Après avoir relâché la souris, &konsole; essaye de conserver la sélection visible en la laissant en vidéo inversée. La zone ainsi marquée revient à un affichage normal : dès que le contenu du presse-papiers change, lorsque le texte dans la zone marquée est modifié ou lorsque vous cliquez sur le &BGS;.

  Marquer du texte dans une application gérant la souris (Midnight Commander, par exemple) nécessite de maintenir la touche &Maj; pendant toute la durée du clic.

Milieu

  En appuyant sur le &BCS;, le texte actuellement dans le presse-papiers est collé. En maintenant la touche &Ctrl; enfoncée lors d'un clic avec le &BCS;, vous collerez le texte en y ajoutant un retour à la ligne. Ceci vous permet d'exécuter une commande aisément mais peut se révéler dangereux. À utiliser avec parcimonie.

  Si votre souris possède deux boutons, appuyer en même temps sur le &BGS; et le &BDS; émule le &BCS; d'une souris à trois boutons.

  Si votre &BCS; est une molette, le fait d'actionner cette molette dans un programme ne gérant pas la souris fera se déplacer la barre de défilement de &konsole;.

Droit

  Ces éléments apparaissent dans le menu lorsque le &BDS; est enfoncé : Copier, Coller, Ouvrir le gestionnaire de fichiers, Définir l'encodage, Effacer l'historique..., Ajuster l'historique..., Afficher la barre de menus, Passer au profil, Configurer le profil actuel..., et Fermer l'onglet.

  Pour obtenir le menu contextuel dans une application gérant la souris, maintenez la touche &Maj; enfoncée pendant que vous appuyez sur le &BDS;.

### Glisser et déposer

En déposant un fichier, un dossier ou une &URL; dans la fenêtre de &konsole;, un menu contextuel apparaîtra en proposant ces actions :

Menu contextuel de l'action « glisser et déposer »
Menu contextuel de l'action « glisser et déposer »

&Maj;Déplacer ici

  Déplace l'objet déposé dans le dossier actuel. Cette entrée n'est affichée que si vous disposez des droits suffisants pour supprimer le fichier ou le dossier déposé.

&Ctrl;Copier ici

  Copie l'objet déposé dans le dossier actuel.

&Ctrl;&Maj;Lier ici

  Insère un lien symbolique vers l'objet déposé.

Coller l'emplacement

  Insère au curseur l'emplacement complet de l'objet déposé.

Modifier le dossier vers

  Cette action apparaîtra dans le menu contextuel en déposant un dossier et permettra de modifier le dossier de travail de la session de &konsole;.

&Echap;Annuler

  Stoppe l'action « glisser et déposer ».

En saisissant le raccourcis avant de relâcher le &BGS; durant l'action de « glisser et déposer », le menu contextuel n'apparaîtra pas et les actions seront exécutées immédiatement.

## Référence des commandes

### La barre de menus

La barre de menus se situe en haut de la fenêtre de &konsole;. Si cette barre est cachée, Afficher la barre de menus peut être atteint en cliquant avec le &BDS; dans la fenêtre (du moment qu'aucune application plein écran est lancée dans cette fenêtre, comme vi, minicom, etc.). Le raccourci par défaut est indiqué après chaque élément du menu.

#### Le menu Fichier

&Ctrl;&Maj;N Fichier Nouvelle fenêtre

  Ouvre une nouvelle fenêtre &konsole; utilisant le profil par défaut.

&Ctrl;&Maj;T Fichier Nouvel onglet

  Ouvre un nouvel onglet utilisant le profil par défaut.

  &konsole; est fourni avec le profil Terminal par défaut. Les profils ajoutés par l'utilisateur seront listés dans un sous-menu. Il n'y aura pas de sous-menu si le profil par défaut est le seul à avoir été configuré pour s'afficher.

Fichier Cloner l'onglet

  Tente de cloner l'onglet actuel

Fichier Enregistrer la sortie sous...

  Enregistre l'historique actuel dans un fichier texte ou HTML.

Fichier Ouvrir le gestionnaire de fichiers

  Ouvre le gestionnaire de fichiers de &kde; dans le dossier actuel. Par défaut, il s'agit de &dolphin;.

&Ctrl;&Maj;W Fichier Fermer l'onglet

  Ferme l'onglet actuel.

&Ctrl;&Maj;Q Fichier Quitter

  Ferme &konsole;.

  &konsole; affichera une confirmation s'il y a plus d'un onglet ouvert. Ceci peut être désactivé en cochant la case Ne plus poser la question.

#### Le menu Édition

&Ctrl;&Maj;C Édition Copier

  Copie le texte sélectionné dans le presse-papiers.

&Ctrl;&Maj;V Édition Coller

  Colle du texte depuis le presse-papiers à l'emplacement du curseur.

Édition Tout sélectionner

  Sélectionne tout le texte de la fenêtre actuelle.

Édition Copier l'entrée vers Tous les onglets de la fenêtre active

  Permet aux entrées de la session actuelle d'être envoyées simultanément vers toutes les autres sessions d'une même fenêtre.

&Ctrl;&Maj;. Édition Copier l'entrée vers Sélectionner les onglets...

  Permet aux entrées de la session actuelle d'être envoyées simultanément vers d'autres sessions désignées par l'utilisateur.

&Ctrl;&Maj;/ Édition Copier l'entrée vers Aucun

  Stoppe l'envoi d'entrées de la session actuelle vers les autres sessions.

Édition Envoyer un signal

  Envoi un signal spécifique au processus shell, ou tout autre processus, lancé au démarrage de la session.

  Les signaux disponibles actuellement sont :

  STOP | stoppe le processus
  CONT | continue si stoppé
  HUP | arrêt du terminal de contrôle détecté ou mort du processus de contrôle
  INT | interruption par le clavier
  TERM | signal d'arrêt
  KILL | signal de destruction
  USR1 | premier signal utilisateur
  USR2 | second signal utilisateur

  Référez-vous au manuel du système pour plus détails en saisissant le commande ``man` `7 signal``.

&Ctrl;&Alt;S Édition Renommer l'onglet...

  Ouvre une boîte de dialogue permettant de changer le nom de l'onglet actuel (plus d'informations).

&Ctrl;&Alt;U Édition Chargement de ZModem...

  Ouvre une boîte de dialogue pour sélectionner un fichier à envoyer si le logiciel requis est installé.

&Ctrl;&Maj;F Édition Chercher

  Ouvre une barre de recherche dans la partie inférieure de la fenêtre de &konsole;.

  Elle permet de lancer des recherches sensibles à la casse, en avant et en arrière, et à base d'expressions rationnelles.

F3 Édition Poursuivre la recherche

  Se déplace vers l'instance suivante de la recherche

&Maj;F3 Édition Chercher en arrière

  Se déplace vers l'instance précédente de la recherche

#### Le menu Affichage

&Ctrl;( Affichage Séparer la vue Séparer la vue gauche / droite

  Divise verticalement tous les onglets en deux vues.

  Toutes les sorties d'une vue sont dupliquées dans l'autre.

&Ctrl;) Affichage Séparer la vue Séparer la vue haut / bas

  Divise horizontalement tous les onglets en deux vues.

  Toutes les sorties d'une vue sont dupliquées dans l'autre.

&Ctrl;&Maj;S Affichage Séparer la vue Fermer la vue active

  Ferme la vue actuelle.

&Ctrl;&Maj;O Affichage Séparer la vue Fermer les autres

  Ferme toutes les autres vues.

&Ctrl;&Maj;] Affichage Séparer la vue Étendre la vue

  Élargit la vue actuelle.

&Ctrl;&Maj;[ Affichage Séparer la vue Réduire la vue

  Diminue la vue actuelle.

&Ctrl;&Maj;H Affichage Détacher l'onglet actuel

  Ouvre l'onglet actuel dans une nouvelle fenêtre.

  Fermer la fenêtre précédente de &konsole; n'aura aucune influence sur la nouvelle.

&Ctrl;&Maj;I Affichage Guetter l'inactivité

  (Dés)active le suivi du manque activité dans l'onglet actuel.

  Par défaut, après 10 secondes d'inactivité, une icône d'information apparaîtra sur l'onglet de la session. Le type d'alerte peut être changé par Configuration Configurer les notifications Inactivité dans la session surveillée.

&Ctrl;&Maj;A Affichage Guetter l'activité

  (Dés)active le suivi d'activité dans l'onglet actuel.

  Suite à une activité, une icône d'information apparaîtra sur l'onglet de la session. Le type d'alerte peut être changé par Configuration Configurer les notifications Activité dans la session surveillée.

&Ctrl;+ Affichage Agrandir la police

  Augmente la taille de la police du texte.

&Ctrl;- Affichage Réduire la police

  Diminue la taille de la police du texte.

Affichage Définir l'encodage

  Définit l'encodage des caractères.

Affichage Effacer l'historique

  Efface l'intégralité de l'historique.

&Ctrl;&Maj;K Affichage Effacer l'historique et réinitialiser

  Efface le texte de l'onglet et de l'historique, puis réinitialise le terminal.

#### Le menu Signets

&Ctrl;&Maj;B Signets Ajouter un signet

  Ajoute l'emplacement courant.

Signets Mettre les onglets dans un dossier de signets...

  Ajoute tous les onglets à un dossier de signets.

  Une boîte de dialogue s'ouvrira pour saisir le nom du dossier.

Signets Nouveau dossier de signets...

  Ajoute un nouveau dossier à la liste de signets.

  Une boîte de dialogue s'ouvrira pour saisir le nom du dossier.

Signets Modifier les signets...

  Ouvre l'éditeur de signets.

  Vous pouvez utiliser l'éditeur de signets pour ajouter manuellement des URLs. Actuellement, &konsole; accepte les formules suivantes :

  - ssh://utilisateur@hôte:port

  - telnet://utilisateur@hôte:port

#### Le menu Configuration

Configuration Configurer le profil actuel...

  Ouvre une boîte de dialogue pour configurer le profil actuel.

Configuration Passer au profil

  Change le profil actuel pour un profil de la liste.

Configuration Gérer les profils...

  Ouvre un éditeur pour gérer les profils.

&Ctrl;&Maj;M Configuration Afficher la barre de menus

  (Dés)active l'affichage de la barre de menus.

Configuration Mode plein écran

  (Dés)active l'affichage de &konsole; sur toute la surface de l'écran.

Configuration Configurer les raccourcis clavier...

  Ouvre l'éditeur de raccourcis clavier.

Configuration Configurer les notifications...

  Ouvre l'éditeur de notifications.

Configuration Configurer &konsole;...

  Ouvre l'éditeur de configuration de &konsole;.

  Cette boîte de dialogue contient des options modifiant l'apparence et le comportement de la Barre d'onglets ainsi que des options générales concernant la fenêtre de &konsole;.

#### Le menu Aide

&konsole; propose les entrées habituelles du menu Aide de &kde;, reportez-vous à la section concernant le menu Aide des Fondamentaux de &kde; pour plus d'informations.

### Boîtes de dialogues de &konsole;

#### Boîte de dialogue pour renommer l'onglet

Le nom de l'onglet actuel est modifiable à partir de cette boîte de dialogue. Elle peut être affichée par l'intermédiaire du menu, du raccourci &Ctrl;&Alt;S ou en double-cliquant sur l'onglet dans la barre d'onglets. Ces changements peuvent devenir permanent en éditant le profil.

&konsole; substituera les jetons suivant :

- %n : nom du programme

- %d : dossier actuel (court)

- %D : dossier actuel (long)

- %w : titre de la fenêtre tel que définie par le shell

- %# : numéro de la session

- %u : nom d'utilisateur

- %h : hôte local ou distant (court)

- %H : hôte distant (long)

Exemples :

- `%d : %n` avec /usr/src comme dossier actuel dans bash s'affichera src : bash

- `%D : %n` avec /usr/src comme dossier actuel et en exécutant top cela affichera /usr/src : top

- `%w (%#)` avec ~ comme dossier actuel et en exécutant vim dans le premier onglet, cela affichera [Sans nom] (~) - VIM(1)

#### Boîte de dialogue pour copier l'entrée

Le texte saisi dans un onglet peut être envoyé simultanément vers d'autres onglets. Cette boîte de dialogue vous permet de sélectionner quels onglets obtiendront cette saisie. L'onglet actuel est grisé.

#### Boîte de dialogue pour configurer l'historique

La taille de l'historique peut être définie dans cette boîte de dialogue. Toutes les modifications seront appliquées à l'onglet actuel et ne seront pas enregistrées dans le profil.

## Options de ligne de commandes

Quand &konsole; est lancé depuis la ligne de commande, plusieurs options peuvent être précisées pour modifier son comportement.

`--help`

  Énumère les différentes options.

`--fallback-profile` `fichier`

  Utilise le profil interne de secours.

`--profile` `fichier`

  Démarre &konsole; en utilisant le profil spécifié au lieu de celui définit par défaut.

`--list-profiles`

  Liste tous les profils disponibles.

`--list-profile-properties`

  Liste toutes les propriétés possibles avec leurs nom et type. Voir l'option `-p`.

  Pour plus d'informations, veuillez consulter le Référentiel API de &konsole;.

`--new-tab`

  Créé un nouvel onglet dans une fenêtre existante plutôt que d'en créer une nouvelle.

`--tabs-from-file` `fichier`

  Créé des onglets tels que définis dans un fichier de configuration des onglets.

  Ce fichier contient un onglet par ligne et se présente sous ce format :

  Chaque ligne spécifie un onglet à ouvrir à l'aide de quatre champs déterminant la procédure. Ces champs sont délimités avec `;;`, en plus de l'ajout de `:` au nom du champ. Les lignes vides ou commençant par `#` sont ignorées, ainsi vous pourrez introduire des commentaires en ajoutant `#` en début de ligne.

  - `title:` un nom pour l'onglet, la valeur par défaut sera utilisée si ce champ est vide ou absent
  - `workdir:` dossier de travail, `~` si vide ou absent
  - `profile:` un profil &konsole; à employer, celui par défaut si vide ou absent
  - `command:` une commande à exécuter

  Chaque ligne devra contenir au moins un champ `command` ou `profile`.

  Exemple : `title: %n;; command: /usr/bin/top ;; profile: Terminal`

`--workdir` `dossier`

  Démarre avec le `dossier` comme emplacement de travail initial.

`--show-menubar`

  Affiche la barre de menus en ignorant le comportement par défaut.

`--hide-menubar`

  Cache la barre de menus en ignorant le comportement par défaut.

`--show-tabbar`

  Affiche la barre des onglets en ignorant le comportement par défaut.

`--hide-tabbar`

  Cache la barre des onglets en ignorant le comportement par défaut.

`--notransparency`

  Désactive les fonds transparents, même si le système les prends en charge.

`--hold, --noclose`

  Ne ferme pas automatiquement la session initiale quand elle s'arrête.

`-p` `propriété=valeur`

  Modifie la valeur d'une propriété du profil.

`-e` `commande`

  Exécute une `commande` au lieu de l'interpréteur de commandes habituel.

  Cette option reçoit tous les arguments suivants pour les exécuter en tant que `commande`, sans les passés à &konsole;. Ainsi, cette option devrait toujours être la dernière employée.

`--nofork`

  Ne pas exécuter en tâche de fond. Ceci est souvent nécessaire pour reproduire le comportement d'autres terminaux.

`--fullscreen`

  Démarre &konsole; en mode plein-écran.

&konsole; accepte aussi les options génériques de &Qt; et de &kde; :

`--help-qt`

  Affiche les options propres à &Qt;.

Les options de &Qt; suivantes n'ont pas d'effet sur &konsole; :

`--fn`, `--font` `police`

  Définit la police de l'application.

`--bg`, `--background` `couleur`

  Définit la couleur de fond par défaut.

`--fg`, `--foreground` `couleur`

  Définit la couleur de premier plan par défaut.

`--btn`, `--button` `couleur`

  Définit la couleur de boutons par défaut.

`--help-kde`

  Affiche les options propres à &kde;.

`--help-all`

  Affiche toutes les options.

`--author`

  Affiche les noms des auteurs.

`-v, --version`

  Affiche le numéro de la version.

`--license`

  Affiche des informations sur la licence.

## Script pour &konsole;

Avec &kde; 4, &DCOP; a été remplacé par &DBus;. &konsole; gère de multiples méthodes &DBus;.

Il existe deux manières d'utiliser l'interface &DBus; : l'interface graphique pour &Qt; qdbusviewer ou la ligne de commande qdbus.

Exemples :

- &percnt; `qdbus` affichera tous les services disponibles.

- &percnt; `qdbus` `org.kde.konsole` affichera l'interface &DBus; pour &konsole;.

- &percnt; `qdbus` `org.kde.konsole /Windows/1` affichera les méthodes pour contrôler la fenêtre 1.

  /Konsole était utilisé pour contrôler la première fenêtre ce qui était une erreur de conception. Veuillez ne plus l'employer dans ce contexte et envisager de mettre à jour vos scripts.

- &percnt; `qdbus` `org.kde.konsole /Session/1` affichera les méthodes pour contrôler la session 1.

Si vous exécuter &konsole; à partir d'un terminal, vous aurez sans doute besoin d'utiliser `org.kde.konsole-`pidof -s konsole`` au lieu de `org.kde.konsole`.

Pour obtenir plus d'informations, voyez ce tutoriel sur &DBus;.

## Le saviez-vous, problèmes courants et plus

### Le saviez-vous ?

- Appuyer sur &Ctrl; tout en sélectionnant du texte permet de convertir les retours à la ligne en espaces lors d'un copier-coller.

- Utiliser les touches &Ctrl;&Alt; tout en désignant du texte sélectionnera les colonnes.

- La combinaison &Ctrl;Molette modifiera la taille de la police, comme dans Konqueror et Firefox.

- Quand un programme prend le contrôle d'un des boutons de la souris, appuyez sur &Maj; pour permettre au menu contextuel d'apparaître.

- Le raccourcis &Ctrl;&Maj;F10 activera le menu.

- Les touches &Maj;Inser inséreront le contenu du presse-papiers.

- Un double-clic sélectionne un mot ; en maintenant le bouton enfoncé tout en déplaçant la souris, vous étendrez la sélection.

- Un triple-clic sélectionne une ligne entière ; en maintenant le bouton enfoncé tout en déplaçant la souris, vous étendrez la sélection.

- Il existe une fonctionnalité cachée pour formater le « %d » dans l'intitulé d'un onglet. Vous pouvez demander à &konsole; d'abréger le nom du dossier en affichant uniquement le premier caractère. Par exemple, « /emplacement/de/konsole/src » sera abrégé « konsole/s ». Si vous souhaitez activer et régler cette fonctionnalité cachée, ouvrez `~/.kde4/share/config/konsolerc` et ajouter les lignes suivantes :

      [ProcessInfo]
      CommonDirNames=nom1,nom2,nom3,…

  Si vous utilisez Yakuake, vous devrez modifier `~/.kde4/share/config/yakuakerc`.

### Problèmes courants

- Par défaut, lorsque &konsole; est lancé depuis un terminal, il s'exécutera en arrière-plan. `--nofork` forcera &konsole; à s'exécuter en avant-plan.

  Ceci est nécessaire à la bonne marche de certain script ou commande :

  - `konsole --nofork -e sleep 3 ; echo 1`

  - `kdesu -u kdeuser konsole --nofork`

- Certaines polices peuvent être absentes de &konsole; bien qu'accessibles à d'autres programmes. Ceci n'est pas un défaut de &konsole;. &konsole; nécessite des polices à chasse fixe afin d'offrir la meilleure apparence visuelle, ainsi il demande à &Qt; de ne lister que ces polices.

  Si vous êtes certain qu'une police à chasse fixe n'est pas proposée dans &konsole;, veuillez remonter le problème à &Qt;.

- Avec KDE3, chaque onglet possédait son propre identifiant de processus. Cependant, avec KDE4, tous les onglets utilisent le même identifiant. En découle qu'un problème survenant dans un onglet pénalisera tous les autres.

  Ceci est particulièrement visible quand une commande se connectant à un appareil ou système extérieur (ssh, nfs, etc.) à un problème.

- &konsole; considère les arguments situés après l'option `-e` comme une commande et l'exécute directement, au lieu de l'analyser et de la diviser en sous-commandes le cas échéant. Ce comportement est différent de celui de xterm.

  - `konsole -e "commande1 ; commande2"` ne fonctionnera pas,

  - `konsole -e $SHELL -c "commande1 ; commande2"` est correct.

- &konsole; ne facilite pas l'exécution d'un shell de connexion, car ses développeurs ne pensent pas que ce soit une bonne idée de faire cela dans un émulateur de terminal.

  Bien sûr, les utilisateurs peuvent exécuter un shell de connexion dans &konsole; s'ils en ressentent le besoin. Pour cela, éditez le profil utilisé et modifiez la case de commande pour permettre l'exécution d'un shell de connexion tel que « `bash -l` » ou « `zsh -l` ».

- L'option `--new-tab` se comporte parfois de manière étrange. Elle peut très bien créer une nouvelle fenêtre ou alors un nouvel onglet dans une fenêtre &konsole; existante autre que la dernière utilisée.

  Ces comportements, même s'ils sont étranges, ne sont pas nécessairement des bogues. L'option `--new-tab` essai de réutiliser les fenêtres &konsole; existantes mais elles ne sont pas toutes réutilisables. Les fenêtres &konsole; ouvertes par &krunner; le sont, alors que la plupart de celles ayant été lancées par lignes de commande ne le sont pas.

## Remerciements et copyright

&konsole; est actuellement maintenu par &Kurt.Hindenburg; &Kurt.Hindenburg.mail;

Les précédents responsables de &konsole; étaient : &Robert.Knight; &Robert.Knight.mail; et &Waldo.Bastian; &Waldo.Bastian.mail;

L'application &konsole; est sous Copyright © 1997-2008 &Lars.Doelle; &Lars.Doelle.mail;

Ce document a été écrit à l'origine par &Jonathan.Singer; &Jonathan.Singer.mail;

Ce document a été mis à jour pour &kde; 4.x par &Kurt.Hindenburg; &Kurt.Hindenburg.mail;

Ce document a été mis à jour pour &kde; 3.4 par &Kurt.Hindenburg; &Kurt.Hindenburg.mail;

Converti originellement au format DocBook SGML par &Mike.McBride; et &Lauri.Watts;

Traduction française par &AnneMarieMahfouf;, &LudovicGrossard;, &EricBischoff;, &DamienRaudeMorvan; et &PierreBuard;. Relecture par &LudovicGrossard;.

&underFDL; &underGPL;

## Liens

Vous trouverez plus d'informations sur les sites web suivants :

- la page consacrée à &konsole; sur &kde; UserBase

- la page d'accueil de &konsole;,

- la liste de discussion de &konsole;,

- &kde; sur FreeBSD,

- &kde; sur &Solaris;.

&documentation.index;